local class = require"engine.class"
local ActorTalents = require "engine.interface.ActorTalents"
local ActorTemporaryEffects = require "engine.interface.ActorTemporaryEffects"
local Birther = require "engine.Birther"


class:bindHook("ToME:load", function(self, data)
	ActorTalents:loadDefinition("/data-example/talents/tourist.lua")
	ActorTemporaryEffects:loadDefinition("/data-example/timed_effects.lua")
	Birther:loadDefinition("/data-example/birth/tourist.lua")
end)

class:bindHook("Actor:takeHit", function(self, data)
	if self:hasEffect(self.EFF_DIPLOMATIC_IMMUNITY) then data.value = 0 return true end
end)

class:bindHook("DamageProjector:base", function(self, data)
	if self.hasEffect and self:hasEffect(self.EFF_TOURIST_FURY) then data.dam = data.dam * 5 return true end
end)
